name: cex_skeleton
description: iBit — 加密货币交易 App
publish_to: 'none'
version: 4.1.5+40105


environment:
  sdk: '>=3.0.0 <4.0.0'

dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter

  # 状态管理
  flutter_riverpod: ^2.5.0
  riverpod_annotation: ^2.3.0

  # 路由
  go_router: ^14.0.0

  # 网络
  dio: ^5.4.0
  pretty_dio_logger: ^1.3.0

  # WebSocket
  web_socket_channel: ^3.0.0

  # 持久化
  flutter_secure_storage: ^9.0.0
  shared_preferences: ^2.2.0
  hive_flutter: ^1.1.0
  device_info_plus: ^10.1.2

  # 数据模型
  freezed_annotation: ^2.4.0
  json_annotation: ^4.8.0

  # UI
  flutter_screenutil: ^5.9.0
  cached_network_image: ^3.3.0
  flutter_cache_manager: ^3.3.0
  shimmer: ^3.0.0
  flutter_svg: ^2.0.0
  pinput: ^5.0.0

  # 图表
  fl_chart: ^0.68.0

  # 安全
  local_auth: ^2.2.0
  crypto: ^3.0.0

  # 文件/缓存
  path_provider: ^2.1.0
  image_picker: ^1.1.0
  gal: ^2.3.0

  # 工具
  intl: ^0.20.0
  url_launcher: ^6.2.0
  share_plus: ^10.1.0
  qr_flutter: ^4.1.0
  mobile_scanner: 6.0.10

  # WebView (客服 H5 接入)
  webview_flutter: ^4.10.0
  # 崩溃监控
  firebase_core: ^3.0.0
  firebase_crashlytics: ^4.0.0
  decimal: ^3.2.4
  bs58: ^1.0.2
  convert: ^3.1.1
  lottie: ^3.1.0
  k_chart_plus:
    path: packages/k_chart_plus
  flutter_widget_from_html_core: ^0.17.0
  app_settings: ^7.0.0
  reown_appkit: ^1.5.0
  open_filex: ^4.7.0
  permission_handler: ^12.0.1

dev_dependencies:
  flutter_test:
    sdk: flutter
  integration_test:
    sdk: flutter
  build_runner: ^2.4.0
  riverpod_generator: ^2.4.0
  freezed: ^2.4.0
  json_serializable: ^6.7.0
  mocktail: ^1.0.0
  flutter_lints: ^5.0.0
  flutter_launcher_icons: ^0.14.3

flutter:
  uses-material-design: true
  generate: true

  assets:
    - assets/images/
    - assets/images/finance/
    - assets/mocks/
    - assets/animations/


flutter_launcher_icons:
  android: true
  ios: true
  image_path: "assets/icon/app_icon.png"
  # iOS 不允许透明和 alpha 通道，建议用纯色背景的图
  remove_alpha_ios: true